cmafihe(1L)

NAME
cmafihe - Lojban word glosser

SYNOPSIS
cmafihe [ -l ] [ -b ] [ -w width ] [ -p ] [ -v ] [filename]

DESCRIPTION
cmafihe is a program that reads a piece of Lojban text. It writes out the text, showing the rough English translation of each word. It also shows the selma'o (category) to which each cmavo (grammar word) belongs.

OPTIONS

-v  Show the program version and exit.

-l  Produce output for typesetting with LaTeX. The Lojban, selma'o and English translation are shown on separate lines for each word (or closely related group of words).

-p  Output GNUStep property list containing vocabulary. (Only available if cmafihe was compiled with the PLIST option).

-b  Produce plain text output in 'block' format.

-w width
    Set the line width for the -b option (default 80).

The default is to write text to stdout. The Lojban words are shown without brackets. The selma'o information is in angle brackets. The English translation is in square brackets.

filename
    The name of the file containing text to be parsed. If omitted, the text is read from standard input.

SEE ALSO

jbofihe
    A much more sophisticated program which includes grammar checking.

smujajgau
    A program for compiling binary dictionaries for use by jbofihe

FILES

/usr/local/lib/jbofihe/smujmaji.dat
    This file contains all the dictionary data compiled (using smujajgau ) into a binary format to facilitate lookup and search.

/usr/local/bin/cmafihe
    The executable.

ENVIRONMENT

JBOFIHE_DICTIONARY
    This should point to the name of the file containing the dictionary. The default is /usr/local/lib/jbofihe/smujmaji.dat

BUGS
ju'oru'e so'imei (Surely there are many)

REFERENCES

http://go.to/jbofihe
    Home page for the jbofihe project (of which cmafihe is part)

http://www.lojban.org/
    Home page of the Lojban community

http://www.rc0.org.uk/lojban/
    My Lojban page.

AUTHOR
Richard Curnow <rpc@myself.com>